Bug 322248 - Menu for task item group can get wider than the screen
Summary: Menu for task item group can get wider than the screen
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-taskbar (show other bugs)
Version: git master
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-11 17:07 UTC by Christoph Feck
Modified: 2013-07-27 17:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2013-07-11 17:07:09 UTC
To reproduce:
- open bug 283195 in Konqueror
- open another Konqueror window
- click the grouped task to get the menu

Actual results:
- the title of the first Konqueror window is very long, and this makes the menu unreadable

Expected results:
- task item names get limited/elided to e.g. 80% of available screen width
Comment 1 Christoph Feck 2013-07-11 17:09:15 UTC
Oh, actually, they _are_ elided, but still larger than my screen's width.
Comment 2 Eike Hein 2013-07-27 17:11:29 UTC
Git commit 5dd8352f2e8a579034b91c2f6b269df29ffc85cd by Eike Hein.
Committed on 27/07/2013 at 17:05.
Pushed by hein into branch 'KDE/4.11'.

Try to make sure the group dialog stays within a sane width limit.

The approach taken is "behave reasonably on 640x480 and above" by
clipping the bounding box of the task items to the max() of that
minimum supported resolution (taking dialog margins and, if vert-
ically oriented, a likely panel into account) and the applet's
width.

A perfect impementation would figure out the dimensions of the
work area (i.e. screen sans relevant struts) and clip to that,
but knowing how much C++ that takes to do correctly on multi-
head (as Yakuake does it) and seeing how the goal is to have a QML
task manager, I don't feel that's maintainable for now. Let's look
into improving PlasmaCore.Dialog in libplasma2 instead to help
with avoiding too unreasonably large dialogs instead, or perhaps
Qt Quick 2 will evolve a helper. There's a TODO in there for now.

On the flip side, this actually behaves better than the old
applet anyway, which had rather more unreasonable popup sizing ...

M  +4    -1    plasma/desktop/applets/tasks/package/contents/ui/GroupDialog.qml

http://commits.kde.org/kde-workspace/5dd8352f2e8a579034b91c2f6b269df29ffc85cd